Skip to content

Merge Contacts ​

Endpoint ​

http
POST /unified/crm/contacts/merge
Integrations supported
  • HubSpot

Query parameters ​

Refer Specifying query parameters in Truto APIs

integrated_account_id
string · uuid
REQUIRED · 

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_format
string

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

All possible enum values:
  • unified
  • raw
  • normalized
  • stream
Example: unified
truto_ignore_remote_data
boolean

Excludes the remote_data attribute from the response.

truto_exclude_fields
array

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_query
object

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body ​

Refer Writing data using Unified APIs

id
string
REQUIRED · 

The contact's unique identifier

Required in
  • HubSpot
primary_object_id
string

The unique identifier of the contact to keep after the merge.

Required in
  • HubSpot
remote_data
object

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body ​

id
string
REQUIRED · 

The contact's unique identifier

Supported in
  • HubSpot
first_name
string

The contact's first name

Supported in
  • HubSpot
last_name
string

The contact's last name

Supported in
  • HubSpot
name
string

The contact's full name

Supported in
  • HubSpot
title
string

The contact's job title

Supported in
  • HubSpot
account
object

The contact's account

References: Accounts → id
Supported in
  • HubSpot
id
string

The account's unique identifier

name
string

The account's name

addresses
object[]
Supported in
  • HubSpot
id
string

The unique identifier of the address

street_1
string

Line 1 of the street address

street_2
string

Line 2 of the street address

city
string

The city

state
string

The state

postal_code
string

The postal code

country
string

The country

type
string

The address type

email_addresses
object[]
Supported in
  • HubSpot
id
string

The unique identifier of the email addresses

email
string

The email address

type
string

The email address type

phone_numbers
object[]
Supported in
  • HubSpot
id
string

The unique identifier of the phone number

number
string

The phone number

extension
string

The extension of the phone number

type
string

The phone number type

tags
object[]

The contact's tags

id
string

The tag's unique identifier

name
string

The tag's name

custom_fields
object

All the custom fields present on the contact

Supported in
  • HubSpot
last_activity_at
string · date-time

The date and time of the contact's last activity

Supported in
  • HubSpot
created_at
string · date-time

The date and time of the contact's creation

Supported in
  • HubSpot
updated_at
string · date-time

The date and time of the contact's last update

Supported in
  • HubSpot
etag
string

The unique identifier for the specific version of the resource.

owner
object

The account's owner

id
string

The owner's unique identifier

urls
object[]

The contact's urls

url
string

The contact's URL

type
string

The contact's URL type

remote_data
object

Raw data returned from the remote API call.